/// <reference types="react" />
import { React } from '../libs';
import { IFormatCss, IImageOptions, IBackgroundImageStyles, GlamorValue } from './types';
export declare const MEDIA_QUERY_RETINA = "@media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 192dpi)";
export declare const image: (image1x: string | undefined, image2x: string | undefined, options?: IImageOptions) => IBackgroundImageStyles;
export declare const toPositionEdges: (key: string, value?: any) => void | {
    position: string;
    top: number | void;
    right: number | void;
    bottom: number | void;
    left: number | void;
};
export declare const formatPositionEdges: (key: string, target: any) => void;
export declare const transformStyle: (style?: false | React.CSSProperties | GlamorValue | null | undefined) => React.CSSProperties | GlamorValue;
export declare const format: IFormatCss;
