"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var test_1 = require("../../test");
var __1 = require("../..");
var describe = function (name, props) {
    test_1.storiesOf('AlignmentContainer', module)
        .addDecorator(__1.host(__assign({ title: "Aligns the component within the host: \"" + props.align + "\"" }, props)))
        .add(name, function () { return test_1.React.createElement(Test, null, name); });
};
var align = function (edge, props) {
    if (props === void 0) { props = {}; }
    describe(edge.toString(), __assign({}, props, { align: edge }));
};
var Test = function (props) {
    var styles = {
        base: test_1.css({
            width: 150,
            height: 150,
            border: "solid 1px " + test_1.color.format(-0.1),
        }),
    };
    return test_1.React.createElement(test_1.Foo, __assign({ style: styles.base }, props));
};
align('top left');
align('top center');
align('top right');
align('middle left');
align('middle center');
align('middle right');
align('bottom left');
align('bottom center');
align('bottom right');
//# sourceMappingURL=ComponentHost.stories.js.map