/// <reference types="react" />
import { AlignEdge } from '../../common/alignment';
export interface IHostProps {
    title?: string;
    hr?: boolean;
    padding?: number | string | number[];
    align?: AlignEdge;
    width?: number | string;
    height?: number | string;
    background?: string | number | boolean;
    backdrop?: string | number | boolean;
    cropMarks?: boolean;
    border?: string | number | boolean;
    styles?: any;
    flex?: boolean;
}
export interface IComponentHostProps extends IHostProps {
    story: () => any;
}
export declare const ComponentHost: (props: IComponentHostProps) => JSX.Element;
