"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var test_1 = require("../../test");
var __1 = require("../..");
var STORY = 'ComponentHost';
test_1.storiesOf(STORY, module)
    .addDecorator(__1.host({
    title: 'A host container for components under test.',
    align: 'center bottom',
    height: '80%',
    width: 400,
    background: true,
    border: -0.1,
}))
    .add('MyComponent', function () { return test_1.React.createElement(test_1.Foo, null); });
test_1.storiesOf(STORY, module)
    .addDecorator(__1.host({ title: 'Backdrop set to a color with boolean.', backdrop: true }))
    .add('backdrop: true (RED)', function () { return test_1.React.createElement(test_1.Foo, null); });
test_1.storiesOf(STORY, module)
    .addDecorator(__1.host({ title: 'Backdrop set to a hex color.', backdrop: '#2196F3' }))
    .add('backdrop: blue', function () { return test_1.React.createElement(test_1.Foo, null); });
test_1.storiesOf(STORY, module)
    .addDecorator(__1.host({
    title: 'Backdrop set to a color with number (-1..1).',
    backdrop: -0.1,
}))
    .add('backdrop: -0.1', function () { return test_1.React.createElement(test_1.Foo, null); });
test_1.storiesOf(STORY, module)
    .addDecorator(__1.host({
    title: 'Backdrop set to a color with number (-1..1).',
    backdrop: -0.5,
}))
    .add('backdrop: -0.5', function () { return test_1.React.createElement(test_1.Foo, null); });
test_1.storiesOf(STORY, module)
    .addDecorator(__1.host({
    title: 'Backdrop set to a color with number (-1..1).',
    backdrop: -0.8,
}))
    .add('backdrop: -0.8', function () { return test_1.React.createElement(test_1.Foo, null); });
test_1.storiesOf(STORY, module)
    .addDecorator(__1.host({ title: 'Backdrop not set (none).' }))
    .add('backdrop: none (white)', function () { return test_1.React.createElement(test_1.Foo, null); });
test_1.storiesOf(STORY, module)
    .addDecorator(__1.host({
    title: 'Component background set with number.',
    backdrop: -0.1,
    background: 1,
    border: -0.3,
}))
    .add('backdrop: -0.1, background: 1', function () { return test_1.React.createElement(test_1.Foo, null); });
test_1.storiesOf(STORY, module)
    .addDecorator(__1.host({
    title: 'Width height set to 100%',
    width: '100%',
    height: '100%',
}))
    .add('width/height: 100%', function () { return test_1.React.createElement(test_1.Foo, null); });
test_1.storiesOf(STORY, module)
    .addDecorator(__1.host({
    title: 'Flex applied to component container (boolean)',
    width: '100%',
    height: '100%',
    flex: true,
}))
    .add('flex: true', function () { return test_1.React.createElement(test_1.Foo, null); });
test_1.storiesOf(STORY, module)
    .addDecorator(__1.host({
    title: 'Flex applied to component container, with child filling available space',
    width: '100%',
    height: '100%',
    flex: true,
}))
    .add('flex: fill', function () { return test_1.React.createElement(test_1.Foo, { style: { flex: 1 } }); });
//# sourceMappingURL=ComponentHost.stories.js.map