"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("../../common");
exports.CropMark = function (props) {
    var edge = props.edge, _a = props.offset, offset = _a === void 0 ? 5 : _a, _b = props.color, color = _b === void 0 ? 'rgba(0, 0, 0, 0.15)' : _b, _c = props.size, size = _c === void 0 ? 20 : _c;
    var base;
    var xAxis;
    var yAxis;
    switch (edge) {
        case 'topLeft':
            base = { Absolute: "-" + (size - 1) + " auto auto -" + (size - 1) };
            xAxis = { Absolute: "null " + offset + " 0 0" };
            yAxis = { Absolute: "0 0 " + offset + " auto" };
            break;
        case 'topRight':
            base = { Absolute: "-" + (size - 1) + " -" + (size - 1) + " auto auto" };
            xAxis = { Absolute: "auto 0 0 " + offset };
            yAxis = { Absolute: "0 auto " + offset + " 0" };
            break;
        case 'bottomLeft':
            base = { Absolute: "auto auto -" + (size - 1) + " -" + (size - 1) };
            xAxis = { Absolute: "0 " + offset + " auto 0" };
            yAxis = { Absolute: offset + " 0 0 auto" };
            break;
        case 'bottomRight':
            base = { Absolute: "null -" + (size - 1) + " -" + (size - 1) + " auto" };
            xAxis = { Absolute: "0 0 auto " + offset };
            yAxis = { Absolute: offset + " auto 0 0" };
            break;
        default:
    }
    base.width = size;
    base.height = size;
    xAxis.borderBottom = "solid 1px " + color;
    yAxis.borderRight = "solid 1px " + color;
    var styles = { base: base, xAxis: xAxis, yAxis: yAxis };
    var el;
    if (size > 0) {
        el = (common_1.React.createElement("div", __assign({}, common_1.css(styles.base)),
            common_1.React.createElement("div", __assign({}, common_1.css(styles.xAxis))),
            common_1.React.createElement("div", __assign({}, common_1.css(styles.yAxis)))));
    }
    return el;
};
//# sourceMappingURL=CropMark.js.map