"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("../../common");
var CropMark_1 = require("./CropMark");
exports.CropMarks = function (props) {
    var _a = props.width, width = _a === void 0 ? 'auto' : _a, _b = props.height, height = _b === void 0 ? 'auto' : _b, background = props.background, cropMarkColor = props.cropMarkColor, _c = props.cropMarksVisible, cropMarksVisible = _c === void 0 ? true : _c, border = props.border, children = props.children;
    var styles = {
        base: common_1.css({
            position: 'relative',
            boxSizing: 'border-box',
            background: background,
            width: width,
            height: height,
            border: border,
        }),
    };
    var cropMarkProps = {
        color: cropMarkColor,
    };
    return (common_1.React.createElement("div", __assign({}, common_1.css(styles.base, props.style)),
        children,
        cropMarksVisible && (common_1.React.createElement(common_1.React.Fragment, null,
            common_1.React.createElement(CropMark_1.CropMark, __assign({}, cropMarkProps, { edge: 'topLeft' })),
            common_1.React.createElement(CropMark_1.CropMark, __assign({}, cropMarkProps, { edge: 'topRight' })),
            common_1.React.createElement(CropMark_1.CropMark, __assign({}, cropMarkProps, { edge: 'bottomLeft' })),
            common_1.React.createElement(CropMark_1.CropMark, __assign({}, cropMarkProps, { edge: 'bottomRight' }))))));
};
//# sourceMappingURL=CropMarks.js.map