"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var css_1 = require("../css");
describe('padding', function () {
    it('PaddingX', function () {
        var result = css_1.transformStyle({
            PaddingX: 14,
            paddingLeft: 1234,
        });
        chai_1.expect(result.paddingLeft).to.equal(14);
        chai_1.expect(result.paddingRight).to.equal(14);
    });
    it('PaddingY', function () {
        var result = css_1.transformStyle({
            PaddingY: 20,
        });
        chai_1.expect(result.paddingTop).to.equal(20);
        chai_1.expect(result.paddingBottom).to.equal(20);
    });
});
describe('margin', function () {
    it('MarginX', function () {
        var result = css_1.transformStyle({
            MarginX: 14,
            marginLeft: 1234,
        });
        chai_1.expect(result.marginLeft).to.equal(14);
        chai_1.expect(result.marginRight).to.equal(14);
    });
    it('MarginY', function () {
        var result = css_1.transformStyle({
            MarginY: 20,
        });
        chai_1.expect(result.marginTop).to.equal(20);
        chai_1.expect(result.marginBottom).to.equal(20);
    });
});
//# sourceMappingURL=css-spacing.test.js.map